/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 21/09/2016 - V2.2.2 (H2020)
 *  Creation
 * ----------------------------------------
 */
package fr.tlse.irap.tool.corotation;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;

import fr.tlse.irap.spaceElement.Sun;

@XmlRootElement
public class CirCorotation {

	private Calendar startTime;
	private Sun startElement = new Sun();	
	private Double speed;
	private Double longitude; 	// CIR HAE longitude
	private Double spread; 		// CIR spread
	private List<CirEnd> cirEnds;

	public CirCorotation() {
		cirEnds = new ArrayList<CirEnd>();
	}

	public CirCorotation(List<CirEnd> cirEnds) {
		this.cirEnds = cirEnds;
	}

	@XmlElement
	public List<CirEnd> getCirEnds() {
		return cirEnds;
	}

	public void setCirEnds(List<CirEnd> cirEnds) {
		this.cirEnds = cirEnds;
	}

	public Double getLongitude() {
		return longitude;
	}

	public void setLongitude(Double longitude) {
		this.longitude = longitude;
	}

	public Double getSpeed() {
		return speed;
	}

	public void setSpeed(Double speed) {
		this.speed = speed;
	}

	public Sun getStartElement() {
		return startElement;
	}

	public void setStartElement(Sun startElement) {
		this.startElement = startElement;
	}

	public Calendar getStartTime() {
		return startTime;
	}

	public void setStartTime(Calendar startTime) {
		this.startTime = startTime;
	}

	public Double getSpread() {
		return spread;
	}

	public void setSpread(Double spread) {
		this.spread = spread;
	}

}
